
Figure - Bug #112732
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110887 (New): AF-V1.0功能测试-手势-任务管理器

【AF】【EVT】【手势交互】上划手势有概率不能打开任务管理器
2022-10-20 14:53 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-20

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221020.alpha_0038

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221025.alpha_0039

Reproducibility: Occasionally Fixed Version: 2022-10-25

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、在launcher页面，手指由底部向上滑动并在中部短暂停留

【预期结果】

1、直接打开任务管理器

【实际结果】

1、有30%的概率无法打开任务管理器

【Log】

Log见附件

    1. ps:在应用页面上划成功概率很高

History

#1 - 2022-10-20 17:02 - CD TEST-方永红

VC1和VX1的屏幕上都有此问题，包括投屏软件

#2 - 2022-10-20 17:42 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD- App-李朝鹏

#3 - 2022-10-21 11:01 - CDTS-TEST 周婷

跟踪到10/24 确认是否需要10/30 解决

#4 - 2022-10-24 18:13 - CD- App-李朝鹏

- % Done changed from 0 to 80
bug已修复，等待code review

#5 - 2022-10-24 18:38 - CD- App-李朝鹏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD- App-李朝鹏 to CD TEST-方永红

- % Done changed from 80 to 100

- Fixed Version set to 2022-10-25

- Root cause set to 编码问题

■ Current conclusion

bug已修复。

■ My analysis

1.从提供的bug视频看，并非有概率打不开recents,而是垂直往上滑，根本就打不开recents.

2.源码屏蔽了从launcher home底部垂直往上或往左上滑动打开recents的手势.

3.修改相关屏蔽的代码.

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/157533

#6 - 2022-10-25 16:05 - CD- App-李朝鹏

- Resolution changed from -- to FIXED

#7 - 2022-10-25 16:08 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221025.alpha_0039

#8 - 2022-10-25 16:08 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#9 - 2022-12-22 20:46 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157533 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

chaopeng.li@thundersoft.com

FW:Launcher:Fix can't open recents from launcher home by swiping up vertically1. Modify DIRECTION_UP value2. Set the fade from launcher home to recents

based on the y-axis shift valueTC-RID: 1201-0205302IssueID: TS-R-BUG-112732Change-Id: I2a6163a63b6a8acf5182bf37a748d3faaec6037b

Files

Phone-STS40X190122 2022-10-20 14-50-13.mp4 13 MB 2022-10-20 CD TEST-方永红

1449 2.37 MB 2022-10-20 CD TEST-方永红
